<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
session_start();

require_once 'db.php';

function login_user($username, $password) {
    global $conn;
    $error = '';

    $password = md5($password);
    $stmt = $conn->prepare("SELECT id FROM users WHERE username = ? AND password = ?");
    $stmt->bind_param("ss", $username, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result === false) {
        $error = 'Error executing the query';
        return $error;
    }

    if ($result->num_rows > 0) {
        $row = $result->fetch_assoc();
        $user_id = $row['id'];

        $_SESSION['user_id'] = $user_id;
        header("Location: home.php");
        exit();
    } else {
        $error = 'Invalid username or password';
    }

    return $error;
}