<?php
    session_start();
    if (!isset($_SESSION['user_id'])) { // Update session variable check
        header('Location: index.php');
        exit();
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>KACHOW</title>
    <link rel="stylesheet" href="../css/style.css">
</head>
<body>
    <nav class="navbar">
        <div class="container">
            <div class="logo">
                <a href="home.php"><img src="../assets/garbace.png" height="42" width="117" alt="Logo"></a>
            </div>
            <ul class="nav-links">
                <li><a href="home.php">Home</a></li>
                <li><a href="fileupload.php">Upload</a></li>
                <li><a href="blog.php">Blog</a></li>
                <li><a href="search.php">Search</a></li>
                <li><a href="logout.php">Logout</a></li>
            </ul>
        </div>
    </nav>
    <div class="hero-section">
        <h1>Welcome to Garbace</h1>
        <p>Where we post article/blogs submitted by you.</p>
        <a href="#learn-more" class="btn">Learn More</a>
    </div>
    <div id="learn-more">
        <div class="container">
            <h2>About Us</h2>
            <p>Just a braindead company doing this from the goodness of our hearts.</p>
        </div>
    </div>
</body>
</html>
