<?php

include 'db.php';

function post_comment(){
    global $conn;
    
    if(isset($_POST["submit_comment"])){
        $full_name = htmlspecialchars($_POST["full_name"]);
        $date = htmlspecialchars($_POST["date"]);
        $comment_message = htmlspecialchars($_POST["comment_message"]);

        $sql = "INSERT INTO comments (full_name, date, comment_message) VALUES (?, ?, ?)";
        $stmt = $conn->prepare($sql);

        if ($stmt === false) {
            echo "<script>alert('Failed to prepare the statement.');</script>";
            return;
        }
        
        $stmt->bind_param('sss', $full_name, $date, $comment_message);

        if ($stmt->execute()) {
            echo "<script>alert('Comment posted successfully!');</script>";
			header("Location: blog.php");
        } else {
            echo "<script>alert('Failed to post comment.');</script>";
			header("Location: blog.php");
        }

        $stmt->close();
    }
}

post_comment();