<?php
require_once 'authenticate.php';

$error = '';
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $error = login_user($_POST['username'], $_POST['password']);
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>KACHOW</title>
    <link rel="stylesheet" href="../css/style.css">
</head>
<body>

<div class="login-form form-container">
    <form action="" method="POST">
        <h1>LOGIN</h1>
        <div class="form-group">
            <input type="text" name="username" placeholder="Username" required>
        </div>
        <div class="form-group">
            <input type="password" name="password" placeholder="Password" required>
        </div>
        <div class="form-group">
            <button type="submit" name="login">Login</button>
        </div>
        <?php if ($error): ?>
            <div class="error"><?php echo $error; ?></div>
        <?php endif; ?>
    </form>
</div>
</body>
</html>
